IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/52
Addresses2^76
/64 networks4,096
- Network
2001:db8:1:f000::/52- First address
2001:db8:1:f000::- Last address
2001:db8:1:ffff:ffff:ffff:ffff:ffff- Addresses
- 75,557,863,725,914,323,419,136 (2^76)
- /64 networks (LANs)
- 4,096
- Full form
2001:0db8:0001:f000:0000:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
f.1.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:1:f000::/52 makes 256 subnets of /60.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:1:f000::/60 | 2001:db8:1:f00f:ffff:ffff:ffff:ffff |
| 2 | 2001:db8:1:f010::/60 | 2001:db8:1:f01f:ffff:ffff:ffff:ffff |
| 3 | 2001:db8:1:f020::/60 | 2001:db8:1:f02f:ffff:ffff:ffff:ffff |
| 4 | 2001:db8:1:f030::/60 | 2001:db8:1:f03f:ffff:ffff:ffff:ffff |
| 5 | 2001:db8:1:f040::/60 | 2001:db8:1:f04f:ffff:ffff:ffff:ffff |
| 6 | 2001:db8:1:f050::/60 | 2001:db8:1:f05f:ffff:ffff:ffff:ffff |
| 7 | 2001:db8:1:f060::/60 | 2001:db8:1:f06f:ffff:ffff:ffff:ffff |
| 8 | 2001:db8:1:f070::/60 | 2001:db8:1:f07f:ffff:ffff:ffff:ffff |
| 9 | 2001:db8:1:f080::/60 | 2001:db8:1:f08f:ffff:ffff:ffff:ffff |
| 10 | 2001:db8:1:f090::/60 | 2001:db8:1:f09f:ffff:ffff:ffff:ffff |
| 11 | 2001:db8:1:f0a0::/60 | 2001:db8:1:f0af:ffff:ffff:ffff:ffff |
| 12 | 2001:db8:1:f0b0::/60 | 2001:db8:1:f0bf:ffff:ffff:ffff:ffff |
| 13 | 2001:db8:1:f0c0::/60 | 2001:db8:1:f0cf:ffff:ffff:ffff:ffff |
| 14 | 2001:db8:1:f0d0::/60 | 2001:db8:1:f0df:ffff:ffff:ffff:ffff |
| 15 | 2001:db8:1:f0e0::/60 | 2001:db8:1:f0ef:ffff:ffff:ffff:ffff |
| 16 | 2001:db8:1:f0f0::/60 | 2001:db8:1:f0ff:ffff:ffff:ffff:ffff |
| 17 | 2001:db8:1:f100::/60 | 2001:db8:1:f10f:ffff:ffff:ffff:ffff |
| 18 | 2001:db8:1:f110::/60 | 2001:db8:1:f11f:ffff:ffff:ffff:ffff |
| 19 | 2001:db8:1:f120::/60 | 2001:db8:1:f12f:ffff:ffff:ffff:ffff |
| 20 | 2001:db8:1:f130::/60 | 2001:db8:1:f13f:ffff:ffff:ffff:ffff |
| 21 | 2001:db8:1:f140::/60 | 2001:db8:1:f14f:ffff:ffff:ffff:ffff |
| 22 | 2001:db8:1:f150::/60 | 2001:db8:1:f15f:ffff:ffff:ffff:ffff |
| 23 | 2001:db8:1:f160::/60 | 2001:db8:1:f16f:ffff:ffff:ffff:ffff |
| 24 | 2001:db8:1:f170::/60 | 2001:db8:1:f17f:ffff:ffff:ffff:ffff |
| 25 | 2001:db8:1:f180::/60 | 2001:db8:1:f18f:ffff:ffff:ffff:ffff |
| 26 | 2001:db8:1:f190::/60 | 2001:db8:1:f19f:ffff:ffff:ffff:ffff |
| 27 | 2001:db8:1:f1a0::/60 | 2001:db8:1:f1af:ffff:ffff:ffff:ffff |
| 28 | 2001:db8:1:f1b0::/60 | 2001:db8:1:f1bf:ffff:ffff:ffff:ffff |
| 29 | 2001:db8:1:f1c0::/60 | 2001:db8:1:f1cf:ffff:ffff:ffff:ffff |
| 30 | 2001:db8:1:f1d0::/60 | 2001:db8:1:f1df:ffff:ffff:ffff:ffff |
| 31 | 2001:db8:1:f1e0::/60 | 2001:db8:1:f1ef:ffff:ffff:ffff:ffff |
| 32 | 2001:db8:1:f1f0::/60 | 2001:db8:1:f1ff:ffff:ffff:ffff:ffff |
| 33 | 2001:db8:1:f200::/60 | 2001:db8:1:f20f:ffff:ffff:ffff:ffff |
| 34 | 2001:db8:1:f210::/60 | 2001:db8:1:f21f:ffff:ffff:ffff:ffff |
| 35 | 2001:db8:1:f220::/60 | 2001:db8:1:f22f:ffff:ffff:ffff:ffff |
| 36 | 2001:db8:1:f230::/60 | 2001:db8:1:f23f:ffff:ffff:ffff:ffff |
| 37 | 2001:db8:1:f240::/60 | 2001:db8:1:f24f:ffff:ffff:ffff:ffff |
| 38 | 2001:db8:1:f250::/60 | 2001:db8:1:f25f:ffff:ffff:ffff:ffff |
| 39 | 2001:db8:1:f260::/60 | 2001:db8:1:f26f:ffff:ffff:ffff:ffff |
| 40 | 2001:db8:1:f270::/60 | 2001:db8:1:f27f:ffff:ffff:ffff:ffff |
| 41 | 2001:db8:1:f280::/60 | 2001:db8:1:f28f:ffff:ffff:ffff:ffff |
| 42 | 2001:db8:1:f290::/60 | 2001:db8:1:f29f:ffff:ffff:ffff:ffff |
| 43 | 2001:db8:1:f2a0::/60 | 2001:db8:1:f2af:ffff:ffff:ffff:ffff |
| 44 | 2001:db8:1:f2b0::/60 | 2001:db8:1:f2bf:ffff:ffff:ffff:ffff |
| 45 | 2001:db8:1:f2c0::/60 | 2001:db8:1:f2cf:ffff:ffff:ffff:ffff |
| 46 | 2001:db8:1:f2d0::/60 | 2001:db8:1:f2df:ffff:ffff:ffff:ffff |
| 47 | 2001:db8:1:f2e0::/60 | 2001:db8:1:f2ef:ffff:ffff:ffff:ffff |
| 48 | 2001:db8:1:f2f0::/60 | 2001:db8:1:f2ff:ffff:ffff:ffff:ffff |
| 49 | 2001:db8:1:f300::/60 | 2001:db8:1:f30f:ffff:ffff:ffff:ffff |
| 50 | 2001:db8:1:f310::/60 | 2001:db8:1:f31f:ffff:ffff:ffff:ffff |
| 51 | 2001:db8:1:f320::/60 | 2001:db8:1:f32f:ffff:ffff:ffff:ffff |
| 52 | 2001:db8:1:f330::/60 | 2001:db8:1:f33f:ffff:ffff:ffff:ffff |
| 53 | 2001:db8:1:f340::/60 | 2001:db8:1:f34f:ffff:ffff:ffff:ffff |
| 54 | 2001:db8:1:f350::/60 | 2001:db8:1:f35f:ffff:ffff:ffff:ffff |
| 55 | 2001:db8:1:f360::/60 | 2001:db8:1:f36f:ffff:ffff:ffff:ffff |
| 56 | 2001:db8:1:f370::/60 | 2001:db8:1:f37f:ffff:ffff:ffff:ffff |
| 57 | 2001:db8:1:f380::/60 | 2001:db8:1:f38f:ffff:ffff:ffff:ffff |
| 58 | 2001:db8:1:f390::/60 | 2001:db8:1:f39f:ffff:ffff:ffff:ffff |
| 59 | 2001:db8:1:f3a0::/60 | 2001:db8:1:f3af:ffff:ffff:ffff:ffff |
| 60 | 2001:db8:1:f3b0::/60 | 2001:db8:1:f3bf:ffff:ffff:ffff:ffff |
| 61 | 2001:db8:1:f3c0::/60 | 2001:db8:1:f3cf:ffff:ffff:ffff:ffff |
| 62 | 2001:db8:1:f3d0::/60 | 2001:db8:1:f3df:ffff:ffff:ffff:ffff |
| 63 | 2001:db8:1:f3e0::/60 | 2001:db8:1:f3ef:ffff:ffff:ffff:ffff |
| 64 | 2001:db8:1:f3f0::/60 | 2001:db8:1:f3ff:ffff:ffff:ffff:ffff |
| 65 | 2001:db8:1:f400::/60 | 2001:db8:1:f40f:ffff:ffff:ffff:ffff |
| 66 | 2001:db8:1:f410::/60 | 2001:db8:1:f41f:ffff:ffff:ffff:ffff |
| 67 | 2001:db8:1:f420::/60 | 2001:db8:1:f42f:ffff:ffff:ffff:ffff |
| 68 | 2001:db8:1:f430::/60 | 2001:db8:1:f43f:ffff:ffff:ffff:ffff |
| 69 | 2001:db8:1:f440::/60 | 2001:db8:1:f44f:ffff:ffff:ffff:ffff |
| 70 | 2001:db8:1:f450::/60 | 2001:db8:1:f45f:ffff:ffff:ffff:ffff |
| 71 | 2001:db8:1:f460::/60 | 2001:db8:1:f46f:ffff:ffff:ffff:ffff |
| 72 | 2001:db8:1:f470::/60 | 2001:db8:1:f47f:ffff:ffff:ffff:ffff |
| 73 | 2001:db8:1:f480::/60 | 2001:db8:1:f48f:ffff:ffff:ffff:ffff |
| 74 | 2001:db8:1:f490::/60 | 2001:db8:1:f49f:ffff:ffff:ffff:ffff |
| 75 | 2001:db8:1:f4a0::/60 | 2001:db8:1:f4af:ffff:ffff:ffff:ffff |
| 76 | 2001:db8:1:f4b0::/60 | 2001:db8:1:f4bf:ffff:ffff:ffff:ffff |
| 77 | 2001:db8:1:f4c0::/60 | 2001:db8:1:f4cf:ffff:ffff:ffff:ffff |
| 78 | 2001:db8:1:f4d0::/60 | 2001:db8:1:f4df:ffff:ffff:ffff:ffff |
| 79 | 2001:db8:1:f4e0::/60 | 2001:db8:1:f4ef:ffff:ffff:ffff:ffff |
| 80 | 2001:db8:1:f4f0::/60 | 2001:db8:1:f4ff:ffff:ffff:ffff:ffff |
| 81 | 2001:db8:1:f500::/60 | 2001:db8:1:f50f:ffff:ffff:ffff:ffff |
| 82 | 2001:db8:1:f510::/60 | 2001:db8:1:f51f:ffff:ffff:ffff:ffff |
| 83 | 2001:db8:1:f520::/60 | 2001:db8:1:f52f:ffff:ffff:ffff:ffff |
| 84 | 2001:db8:1:f530::/60 | 2001:db8:1:f53f:ffff:ffff:ffff:ffff |
| 85 | 2001:db8:1:f540::/60 | 2001:db8:1:f54f:ffff:ffff:ffff:ffff |
| 86 | 2001:db8:1:f550::/60 | 2001:db8:1:f55f:ffff:ffff:ffff:ffff |
| 87 | 2001:db8:1:f560::/60 | 2001:db8:1:f56f:ffff:ffff:ffff:ffff |
| 88 | 2001:db8:1:f570::/60 | 2001:db8:1:f57f:ffff:ffff:ffff:ffff |
| 89 | 2001:db8:1:f580::/60 | 2001:db8:1:f58f:ffff:ffff:ffff:ffff |
| 90 | 2001:db8:1:f590::/60 | 2001:db8:1:f59f:ffff:ffff:ffff:ffff |
| 91 | 2001:db8:1:f5a0::/60 | 2001:db8:1:f5af:ffff:ffff:ffff:ffff |
| 92 | 2001:db8:1:f5b0::/60 | 2001:db8:1:f5bf:ffff:ffff:ffff:ffff |
| 93 | 2001:db8:1:f5c0::/60 | 2001:db8:1:f5cf:ffff:ffff:ffff:ffff |
| 94 | 2001:db8:1:f5d0::/60 | 2001:db8:1:f5df:ffff:ffff:ffff:ffff |
| 95 | 2001:db8:1:f5e0::/60 | 2001:db8:1:f5ef:ffff:ffff:ffff:ffff |
| 96 | 2001:db8:1:f5f0::/60 | 2001:db8:1:f5ff:ffff:ffff:ffff:ffff |
| 97 | 2001:db8:1:f600::/60 | 2001:db8:1:f60f:ffff:ffff:ffff:ffff |
| 98 | 2001:db8:1:f610::/60 | 2001:db8:1:f61f:ffff:ffff:ffff:ffff |
| 99 | 2001:db8:1:f620::/60 | 2001:db8:1:f62f:ffff:ffff:ffff:ffff |
| 100 | 2001:db8:1:f630::/60 | 2001:db8:1:f63f:ffff:ffff:ffff:ffff |
| 101 | 2001:db8:1:f640::/60 | 2001:db8:1:f64f:ffff:ffff:ffff:ffff |
| 102 | 2001:db8:1:f650::/60 | 2001:db8:1:f65f:ffff:ffff:ffff:ffff |
| 103 | 2001:db8:1:f660::/60 | 2001:db8:1:f66f:ffff:ffff:ffff:ffff |
| 104 | 2001:db8:1:f670::/60 | 2001:db8:1:f67f:ffff:ffff:ffff:ffff |
| 105 | 2001:db8:1:f680::/60 | 2001:db8:1:f68f:ffff:ffff:ffff:ffff |
| 106 | 2001:db8:1:f690::/60 | 2001:db8:1:f69f:ffff:ffff:ffff:ffff |
| 107 | 2001:db8:1:f6a0::/60 | 2001:db8:1:f6af:ffff:ffff:ffff:ffff |
| 108 | 2001:db8:1:f6b0::/60 | 2001:db8:1:f6bf:ffff:ffff:ffff:ffff |
| 109 | 2001:db8:1:f6c0::/60 | 2001:db8:1:f6cf:ffff:ffff:ffff:ffff |
| 110 | 2001:db8:1:f6d0::/60 | 2001:db8:1:f6df:ffff:ffff:ffff:ffff |
| 111 | 2001:db8:1:f6e0::/60 | 2001:db8:1:f6ef:ffff:ffff:ffff:ffff |
| 112 | 2001:db8:1:f6f0::/60 | 2001:db8:1:f6ff:ffff:ffff:ffff:ffff |
| 113 | 2001:db8:1:f700::/60 | 2001:db8:1:f70f:ffff:ffff:ffff:ffff |
| 114 | 2001:db8:1:f710::/60 | 2001:db8:1:f71f:ffff:ffff:ffff:ffff |
| 115 | 2001:db8:1:f720::/60 | 2001:db8:1:f72f:ffff:ffff:ffff:ffff |
| 116 | 2001:db8:1:f730::/60 | 2001:db8:1:f73f:ffff:ffff:ffff:ffff |
| 117 | 2001:db8:1:f740::/60 | 2001:db8:1:f74f:ffff:ffff:ffff:ffff |
| 118 | 2001:db8:1:f750::/60 | 2001:db8:1:f75f:ffff:ffff:ffff:ffff |
| 119 | 2001:db8:1:f760::/60 | 2001:db8:1:f76f:ffff:ffff:ffff:ffff |
| 120 | 2001:db8:1:f770::/60 | 2001:db8:1:f77f:ffff:ffff:ffff:ffff |
| 121 | 2001:db8:1:f780::/60 | 2001:db8:1:f78f:ffff:ffff:ffff:ffff |
| 122 | 2001:db8:1:f790::/60 | 2001:db8:1:f79f:ffff:ffff:ffff:ffff |
| 123 | 2001:db8:1:f7a0::/60 | 2001:db8:1:f7af:ffff:ffff:ffff:ffff |
| 124 | 2001:db8:1:f7b0::/60 | 2001:db8:1:f7bf:ffff:ffff:ffff:ffff |
| 125 | 2001:db8:1:f7c0::/60 | 2001:db8:1:f7cf:ffff:ffff:ffff:ffff |
| 126 | 2001:db8:1:f7d0::/60 | 2001:db8:1:f7df:ffff:ffff:ffff:ffff |
| 127 | 2001:db8:1:f7e0::/60 | 2001:db8:1:f7ef:ffff:ffff:ffff:ffff |
| 128 | 2001:db8:1:f7f0::/60 | 2001:db8:1:f7ff:ffff:ffff:ffff:ffff |
| 129 | 2001:db8:1:f800::/60 | 2001:db8:1:f80f:ffff:ffff:ffff:ffff |
| 130 | 2001:db8:1:f810::/60 | 2001:db8:1:f81f:ffff:ffff:ffff:ffff |
| 131 | 2001:db8:1:f820::/60 | 2001:db8:1:f82f:ffff:ffff:ffff:ffff |
| 132 | 2001:db8:1:f830::/60 | 2001:db8:1:f83f:ffff:ffff:ffff:ffff |
| 133 | 2001:db8:1:f840::/60 | 2001:db8:1:f84f:ffff:ffff:ffff:ffff |
| 134 | 2001:db8:1:f850::/60 | 2001:db8:1:f85f:ffff:ffff:ffff:ffff |
| 135 | 2001:db8:1:f860::/60 | 2001:db8:1:f86f:ffff:ffff:ffff:ffff |
| 136 | 2001:db8:1:f870::/60 | 2001:db8:1:f87f:ffff:ffff:ffff:ffff |
| 137 | 2001:db8:1:f880::/60 | 2001:db8:1:f88f:ffff:ffff:ffff:ffff |
| 138 | 2001:db8:1:f890::/60 | 2001:db8:1:f89f:ffff:ffff:ffff:ffff |
| 139 | 2001:db8:1:f8a0::/60 | 2001:db8:1:f8af:ffff:ffff:ffff:ffff |
| 140 | 2001:db8:1:f8b0::/60 | 2001:db8:1:f8bf:ffff:ffff:ffff:ffff |
| 141 | 2001:db8:1:f8c0::/60 | 2001:db8:1:f8cf:ffff:ffff:ffff:ffff |
| 142 | 2001:db8:1:f8d0::/60 | 2001:db8:1:f8df:ffff:ffff:ffff:ffff |
| 143 | 2001:db8:1:f8e0::/60 | 2001:db8:1:f8ef:ffff:ffff:ffff:ffff |
| 144 | 2001:db8:1:f8f0::/60 | 2001:db8:1:f8ff:ffff:ffff:ffff:ffff |
| 145 | 2001:db8:1:f900::/60 | 2001:db8:1:f90f:ffff:ffff:ffff:ffff |
| 146 | 2001:db8:1:f910::/60 | 2001:db8:1:f91f:ffff:ffff:ffff:ffff |
| 147 | 2001:db8:1:f920::/60 | 2001:db8:1:f92f:ffff:ffff:ffff:ffff |
| 148 | 2001:db8:1:f930::/60 | 2001:db8:1:f93f:ffff:ffff:ffff:ffff |
| 149 | 2001:db8:1:f940::/60 | 2001:db8:1:f94f:ffff:ffff:ffff:ffff |
| 150 | 2001:db8:1:f950::/60 | 2001:db8:1:f95f:ffff:ffff:ffff:ffff |
| 151 | 2001:db8:1:f960::/60 | 2001:db8:1:f96f:ffff:ffff:ffff:ffff |
| 152 | 2001:db8:1:f970::/60 | 2001:db8:1:f97f:ffff:ffff:ffff:ffff |
| 153 | 2001:db8:1:f980::/60 | 2001:db8:1:f98f:ffff:ffff:ffff:ffff |
| 154 | 2001:db8:1:f990::/60 | 2001:db8:1:f99f:ffff:ffff:ffff:ffff |
| 155 | 2001:db8:1:f9a0::/60 | 2001:db8:1:f9af:ffff:ffff:ffff:ffff |
| 156 | 2001:db8:1:f9b0::/60 | 2001:db8:1:f9bf:ffff:ffff:ffff:ffff |
| 157 | 2001:db8:1:f9c0::/60 | 2001:db8:1:f9cf:ffff:ffff:ffff:ffff |
| 158 | 2001:db8:1:f9d0::/60 | 2001:db8:1:f9df:ffff:ffff:ffff:ffff |
| 159 | 2001:db8:1:f9e0::/60 | 2001:db8:1:f9ef:ffff:ffff:ffff:ffff |
| 160 | 2001:db8:1:f9f0::/60 | 2001:db8:1:f9ff:ffff:ffff:ffff:ffff |
| 161 | 2001:db8:1:fa00::/60 | 2001:db8:1:fa0f:ffff:ffff:ffff:ffff |
| 162 | 2001:db8:1:fa10::/60 | 2001:db8:1:fa1f:ffff:ffff:ffff:ffff |
| 163 | 2001:db8:1:fa20::/60 | 2001:db8:1:fa2f:ffff:ffff:ffff:ffff |
| 164 | 2001:db8:1:fa30::/60 | 2001:db8:1:fa3f:ffff:ffff:ffff:ffff |
| 165 | 2001:db8:1:fa40::/60 | 2001:db8:1:fa4f:ffff:ffff:ffff:ffff |
| 166 | 2001:db8:1:fa50::/60 | 2001:db8:1:fa5f:ffff:ffff:ffff:ffff |
| 167 | 2001:db8:1:fa60::/60 | 2001:db8:1:fa6f:ffff:ffff:ffff:ffff |
| 168 | 2001:db8:1:fa70::/60 | 2001:db8:1:fa7f:ffff:ffff:ffff:ffff |
| 169 | 2001:db8:1:fa80::/60 | 2001:db8:1:fa8f:ffff:ffff:ffff:ffff |
| 170 | 2001:db8:1:fa90::/60 | 2001:db8:1:fa9f:ffff:ffff:ffff:ffff |
| 171 | 2001:db8:1:faa0::/60 | 2001:db8:1:faaf:ffff:ffff:ffff:ffff |
| 172 | 2001:db8:1:fab0::/60 | 2001:db8:1:fabf:ffff:ffff:ffff:ffff |
| 173 | 2001:db8:1:fac0::/60 | 2001:db8:1:facf:ffff:ffff:ffff:ffff |
| 174 | 2001:db8:1:fad0::/60 | 2001:db8:1:fadf:ffff:ffff:ffff:ffff |
| 175 | 2001:db8:1:fae0::/60 | 2001:db8:1:faef:ffff:ffff:ffff:ffff |
| 176 | 2001:db8:1:faf0::/60 | 2001:db8:1:faff:ffff:ffff:ffff:ffff |
| 177 | 2001:db8:1:fb00::/60 | 2001:db8:1:fb0f:ffff:ffff:ffff:ffff |
| 178 | 2001:db8:1:fb10::/60 | 2001:db8:1:fb1f:ffff:ffff:ffff:ffff |
| 179 | 2001:db8:1:fb20::/60 | 2001:db8:1:fb2f:ffff:ffff:ffff:ffff |
| 180 | 2001:db8:1:fb30::/60 | 2001:db8:1:fb3f:ffff:ffff:ffff:ffff |
| 181 | 2001:db8:1:fb40::/60 | 2001:db8:1:fb4f:ffff:ffff:ffff:ffff |
| 182 | 2001:db8:1:fb50::/60 | 2001:db8:1:fb5f:ffff:ffff:ffff:ffff |
| 183 | 2001:db8:1:fb60::/60 | 2001:db8:1:fb6f:ffff:ffff:ffff:ffff |
| 184 | 2001:db8:1:fb70::/60 | 2001:db8:1:fb7f:ffff:ffff:ffff:ffff |
| 185 | 2001:db8:1:fb80::/60 | 2001:db8:1:fb8f:ffff:ffff:ffff:ffff |
| 186 | 2001:db8:1:fb90::/60 | 2001:db8:1:fb9f:ffff:ffff:ffff:ffff |
| 187 | 2001:db8:1:fba0::/60 | 2001:db8:1:fbaf:ffff:ffff:ffff:ffff |
| 188 | 2001:db8:1:fbb0::/60 | 2001:db8:1:fbbf:ffff:ffff:ffff:ffff |
| 189 | 2001:db8:1:fbc0::/60 | 2001:db8:1:fbcf:ffff:ffff:ffff:ffff |
| 190 | 2001:db8:1:fbd0::/60 | 2001:db8:1:fbdf:ffff:ffff:ffff:ffff |
| 191 | 2001:db8:1:fbe0::/60 | 2001:db8:1:fbef:ffff:ffff:ffff:ffff |
| 192 | 2001:db8:1:fbf0::/60 | 2001:db8:1:fbff:ffff:ffff:ffff:ffff |
| 193 | 2001:db8:1:fc00::/60 | 2001:db8:1:fc0f:ffff:ffff:ffff:ffff |
| 194 | 2001:db8:1:fc10::/60 | 2001:db8:1:fc1f:ffff:ffff:ffff:ffff |
| 195 | 2001:db8:1:fc20::/60 | 2001:db8:1:fc2f:ffff:ffff:ffff:ffff |
| 196 | 2001:db8:1:fc30::/60 | 2001:db8:1:fc3f:ffff:ffff:ffff:ffff |
| 197 | 2001:db8:1:fc40::/60 | 2001:db8:1:fc4f:ffff:ffff:ffff:ffff |
| 198 | 2001:db8:1:fc50::/60 | 2001:db8:1:fc5f:ffff:ffff:ffff:ffff |
| 199 | 2001:db8:1:fc60::/60 | 2001:db8:1:fc6f:ffff:ffff:ffff:ffff |
| 200 | 2001:db8:1:fc70::/60 | 2001:db8:1:fc7f:ffff:ffff:ffff:ffff |
| 201 | 2001:db8:1:fc80::/60 | 2001:db8:1:fc8f:ffff:ffff:ffff:ffff |
| 202 | 2001:db8:1:fc90::/60 | 2001:db8:1:fc9f:ffff:ffff:ffff:ffff |
| 203 | 2001:db8:1:fca0::/60 | 2001:db8:1:fcaf:ffff:ffff:ffff:ffff |
| 204 | 2001:db8:1:fcb0::/60 | 2001:db8:1:fcbf:ffff:ffff:ffff:ffff |
| 205 | 2001:db8:1:fcc0::/60 | 2001:db8:1:fccf:ffff:ffff:ffff:ffff |
| 206 | 2001:db8:1:fcd0::/60 | 2001:db8:1:fcdf:ffff:ffff:ffff:ffff |
| 207 | 2001:db8:1:fce0::/60 | 2001:db8:1:fcef:ffff:ffff:ffff:ffff |
| 208 | 2001:db8:1:fcf0::/60 | 2001:db8:1:fcff:ffff:ffff:ffff:ffff |
| 209 | 2001:db8:1:fd00::/60 | 2001:db8:1:fd0f:ffff:ffff:ffff:ffff |
| 210 | 2001:db8:1:fd10::/60 | 2001:db8:1:fd1f:ffff:ffff:ffff:ffff |
| 211 | 2001:db8:1:fd20::/60 | 2001:db8:1:fd2f:ffff:ffff:ffff:ffff |
| 212 | 2001:db8:1:fd30::/60 | 2001:db8:1:fd3f:ffff:ffff:ffff:ffff |
| 213 | 2001:db8:1:fd40::/60 | 2001:db8:1:fd4f:ffff:ffff:ffff:ffff |
| 214 | 2001:db8:1:fd50::/60 | 2001:db8:1:fd5f:ffff:ffff:ffff:ffff |
| 215 | 2001:db8:1:fd60::/60 | 2001:db8:1:fd6f:ffff:ffff:ffff:ffff |
| 216 | 2001:db8:1:fd70::/60 | 2001:db8:1:fd7f:ffff:ffff:ffff:ffff |
| 217 | 2001:db8:1:fd80::/60 | 2001:db8:1:fd8f:ffff:ffff:ffff:ffff |
| 218 | 2001:db8:1:fd90::/60 | 2001:db8:1:fd9f:ffff:ffff:ffff:ffff |
| 219 | 2001:db8:1:fda0::/60 | 2001:db8:1:fdaf:ffff:ffff:ffff:ffff |
| 220 | 2001:db8:1:fdb0::/60 | 2001:db8:1:fdbf:ffff:ffff:ffff:ffff |
| 221 | 2001:db8:1:fdc0::/60 | 2001:db8:1:fdcf:ffff:ffff:ffff:ffff |
| 222 | 2001:db8:1:fdd0::/60 | 2001:db8:1:fddf:ffff:ffff:ffff:ffff |
| 223 | 2001:db8:1:fde0::/60 | 2001:db8:1:fdef:ffff:ffff:ffff:ffff |
| 224 | 2001:db8:1:fdf0::/60 | 2001:db8:1:fdff:ffff:ffff:ffff:ffff |
| 225 | 2001:db8:1:fe00::/60 | 2001:db8:1:fe0f:ffff:ffff:ffff:ffff |
| 226 | 2001:db8:1:fe10::/60 | 2001:db8:1:fe1f:ffff:ffff:ffff:ffff |
| 227 | 2001:db8:1:fe20::/60 | 2001:db8:1:fe2f:ffff:ffff:ffff:ffff |
| 228 | 2001:db8:1:fe30::/60 | 2001:db8:1:fe3f:ffff:ffff:ffff:ffff |
| 229 | 2001:db8:1:fe40::/60 | 2001:db8:1:fe4f:ffff:ffff:ffff:ffff |
| 230 | 2001:db8:1:fe50::/60 | 2001:db8:1:fe5f:ffff:ffff:ffff:ffff |
| 231 | 2001:db8:1:fe60::/60 | 2001:db8:1:fe6f:ffff:ffff:ffff:ffff |
| 232 | 2001:db8:1:fe70::/60 | 2001:db8:1:fe7f:ffff:ffff:ffff:ffff |
| 233 | 2001:db8:1:fe80::/60 | 2001:db8:1:fe8f:ffff:ffff:ffff:ffff |
| 234 | 2001:db8:1:fe90::/60 | 2001:db8:1:fe9f:ffff:ffff:ffff:ffff |
| 235 | 2001:db8:1:fea0::/60 | 2001:db8:1:feaf:ffff:ffff:ffff:ffff |
| 236 | 2001:db8:1:feb0::/60 | 2001:db8:1:febf:ffff:ffff:ffff:ffff |
| 237 | 2001:db8:1:fec0::/60 | 2001:db8:1:fecf:ffff:ffff:ffff:ffff |
| 238 | 2001:db8:1:fed0::/60 | 2001:db8:1:fedf:ffff:ffff:ffff:ffff |
| 239 | 2001:db8:1:fee0::/60 | 2001:db8:1:feef:ffff:ffff:ffff:ffff |
| 240 | 2001:db8:1:fef0::/60 | 2001:db8:1:feff:ffff:ffff:ffff:ffff |
| 241 | 2001:db8:1:ff00::/60 | 2001:db8:1:ff0f:ffff:ffff:ffff:ffff |
| 242 | 2001:db8:1:ff10::/60 | 2001:db8:1:ff1f:ffff:ffff:ffff:ffff |
| 243 | 2001:db8:1:ff20::/60 | 2001:db8:1:ff2f:ffff:ffff:ffff:ffff |
| 244 | 2001:db8:1:ff30::/60 | 2001:db8:1:ff3f:ffff:ffff:ffff:ffff |
| 245 | 2001:db8:1:ff40::/60 | 2001:db8:1:ff4f:ffff:ffff:ffff:ffff |
| 246 | 2001:db8:1:ff50::/60 | 2001:db8:1:ff5f:ffff:ffff:ffff:ffff |
| 247 | 2001:db8:1:ff60::/60 | 2001:db8:1:ff6f:ffff:ffff:ffff:ffff |
| 248 | 2001:db8:1:ff70::/60 | 2001:db8:1:ff7f:ffff:ffff:ffff:ffff |
| 249 | 2001:db8:1:ff80::/60 | 2001:db8:1:ff8f:ffff:ffff:ffff:ffff |
| 250 | 2001:db8:1:ff90::/60 | 2001:db8:1:ff9f:ffff:ffff:ffff:ffff |
| 251 | 2001:db8:1:ffa0::/60 | 2001:db8:1:ffaf:ffff:ffff:ffff:ffff |
| 252 | 2001:db8:1:ffb0::/60 | 2001:db8:1:ffbf:ffff:ffff:ffff:ffff |
| 253 | 2001:db8:1:ffc0::/60 | 2001:db8:1:ffcf:ffff:ffff:ffff:ffff |
| 254 | 2001:db8:1:ffd0::/60 | 2001:db8:1:ffdf:ffff:ffff:ffff:ffff |
| 255 | 2001:db8:1:ffe0::/60 | 2001:db8:1:ffef:ffff:ffff:ffff:ffff |
| 256 | 2001:db8:1:fff0::/60 | 2001:db8:1:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |